### Hierarchy

- OwnPropsOfControl
  - OwnPropsOfTreeControl

## Index

### Properties

- enabled
- filterPredicate
- id
- path
- schema
- uischema
- visible

## Properties

### Optional enabled

enabled: boolean

Inherited from OwnPropsOfRenderer.enabled

Whether the rendered element should be enabled.

### filterPredicate

filterPredicate: any

- Defined in tree/TreeWithDetailRenderer.tsx:368

### Optional id

id: string

Inherited from OwnPropsOfControl.id

### Optional path

path: string

Inherited from OwnPropsOfRenderer.path

Optional instance path. Necessary when the actual data path can not be inferred via the UI schema element as it is the case with nested controls.

### Optional schema

schema: JsonSchema

Inherited from OwnPropsOfRenderer.schema

The JSON schema that describes the data.

### Optional uischema

uischema: ControlElement

Inherited from OwnPropsOfControl.uischema

Overrides OwnPropsOfRenderer.uischema

### Optional visible

visible: boolean

Inherited from OwnPropsOfRenderer.visible

Whether the rendered element should be visible.

Generated using TypeDoc